#
# spec file for package perl-IO-stringy (Version 2.110)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-IO-stringy
License:        Artistic
Group:          Development/Libraries/Perl
Url:            http://www.zeegee.com/code/perl/IO-stringy/
Provides:       p_iostrn
Obsoletes:      p_iostrn
AutoReqProv:    on
Summary:        I/O on in-core objects like strings and arrays
Version:        2.110
Release:        143
Source:         IO-stringy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
I/O on in-core objects like strings and arrays



Authors:
--------
    Eryq <eryq@zeegee.com>

%prep
%setup -n IO-stringy-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%{perl_vendorlib}/IO
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IO/Stringy
%doc %{_mandir}/man3/*.gz
%doc MANIFEST COPYING README* 

%changelog
